import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class MoviePanel extends JPanel
{
	JComboBox movieBox;
	String movieTypes[] = {"comedy", "romance", "scary", "mystery", "sci-fi" };
	String movieComments[] = {"very funny", "kiss kiss", "Ohhh!!!!", "who dun it", "bold new world"};
	JLabel pickLabel = new JLabel ("Movie Type?");
	JLabel responseLabel = new JLabel ("very funny");
	
	int choice;
	
	public MoviePanel()
	{
		setLayout( new FlowLayout() );
		
		movieBox = new JComboBox(movieTypes);
		
		add(pickLabel);
		add(movieBox);
		add(responseLabel);
		
		movieBox.addItemListener( new ItemListener()
		{
			public void itemStateChanged( ItemEvent ie)
			{
				choice = movieBox.getSelectedIndex();
				responseLabel.setText(movieComments[choice] );
			}
		});
		
		
	}
	
	public String getMovieChoice(){return movieTypes[choice] ; }
}